DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# GlobalFilterShapeGet

Get global filter shape value

## SYNOPSIS

`#include "dip_globals.h"`

dip_Error dip_GlobalFilterShapeGet ( shape )

## FUNCTION

This function gets the global default of the filter shape used by DIPlib's linear and morphology filters. The initial value of this global is `DIP_FLT_SHAPE_RECTANGULAR`.

This setting currently has no effect on any of the filters in DIPlib.

## ARGUMENTS

Data type | Name | Description
`dip_FilterShape *` | `shape` | Filter shape

## SEE ALSO

`GlobalBoundaryConditionGet`, `GlobalBoundaryConditionSet`, `GlobalGaussianTruncationGet`, `GlobalGaussianTruncationSet`, `GlobalFilterShapeSet`